Name: libcacard
Version: 2.6.1.43
Release: 201907092000.e4d4.spice.nightly%{?dist}

Summary: CAC (Common Access Card) library

Group: Development/Libraries
License: LGPLv2+
URL: https://www.spice-space.org/
Epoch: 3

Source0: libcacard-2.6.1.43-e4d4.tar.xz


BuildRequires:  gcc
BuildRequires:  glib2-devel
BuildRequires:  nss-devel
Conflicts:      qemu-common < 2:2.5.0

%description
This library provides emulation of smart cards to a virtual card
reader running in a guest virtual machine.

It implements DoD CAC standard with separate pki containers
(compatible coolkey), using certificates read from NSS.

%package        tools
Summary:        CAC Emulation tools
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{epoch}:%{version}-%{release}

%description    tools
CAC emulation tools.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{epoch}:%{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n libcacard-2.6.1.43-e4d4

%build
%configure --disable-static
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
make %{?_smp_mflags}

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING
%doc NEWS
%{_libdir}/libcacard.so.*

%files devel
%{_includedir}/cacard
%{_libdir}/libcacard.so
%{_libdir}/pkgconfig/libcacard.pc

%changelog
* Tue Jul  9 2019 SPICE Development Team <spice-devel@lists.freedesktop.org> - 2.6.1.43-201907092000.e4d4.spice.nightly
- Build from git commmit e4d4c13f25fd2a13ba07c71069be5e5fa65fd603 in @spice/nightly copr
